"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfigFile = void 0;
const path_1 = __importDefault(require("path"));
function getConfigFile(configPath) {
    const absoluteConfigPath = path_1.default.resolve(process.cwd(), configPath);
    try {
        // eslint-disable-next-line @typescript-eslint/no-var-requires
        const configFile = require(absoluteConfigPath);
        return configFile;
    }
    catch (error) {
        throw new Error(`Config file not found or could not be loaded at "${absoluteConfigPath}"`);
    }
}
exports.getConfigFile = getConfigFile;
